variable elb_attachments {
  type = list
}

variable "prefix" {
  description = "Prefix for Instance Names"
  type = string
}

variable "azs" {
  type = list(string)
}

variable "public_subnets" {
  type = list(string)
}

variable "private_subnets" {
  type = list(string)
}

variable "vpc_id" {
  type = string
}

variable "vpc_cidr" {
  type = string
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "cidr_map" { type = map }
variable "dns_info" { type = map }
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_region" { type = string }
variable "aws_account_id" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "common_services_account" { type = string }
